.uploader {
  position: relative;
  overflow: hidden;
  border-radius: 12px;
  cursor: pointer;
  
  &__input {
    position: absolute;
    opacity: 0;
    top: 0;
  }

  &__image {
    display: block;
    margin-bottom: 0;
  }

  &__overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #00000090;
    color: #fff;
    opacity: 0;
    transition: 0.3s ease all;
    border-radius: 12px;
    text-align: center;
  }

  &:hover {
    .uploader__overlay {
      opacity: 1;
    }
  }
}